#
# spec file for package perl-Test-utf8
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Test-utf8
Name:           perl-Test-utf8
Version:        1.30.0
Release:        1.2
# 1.03 -> normalize -> 1.30.0
%define cpan_version 1.03
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Handy utf8 tests
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/S/SC/SCHWIGON/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.59
Provides:       perl(Test::utf8) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
This module is a collection of tests useful for dealing with utf8 strings
in Perl.

This module has two types of tests: The validity tests check if a string is
valid and not corrupt, whereas the characteristics tests will check that
string has a given set of characteristics.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
PERL_USE_UNSAFE_INC=1 perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc CHANGES README

%changelog
* Thu Dec 12 2024 Tina Müller <timueller+perl@suse.de>
- updated to 1.30.0 (1.03)
  see /usr/share/doc/packages/perl-Test-utf8/CHANGES
  1.03   2024-11-14
  - Fix tests to adapt to Perl now removing
    apostrophe as package separator [RT#154915]
  - upgraded distro files like packaged Module::Install version
    and META.yml, to avoid other looming Perl deprecation issues
* Mon Mar  2 2020 <timueller+perl@suse.de>
- updated to 1.02
  see /usr/share/doc/packages/perl-Test-utf8/CHANGES
  1.02 Fix for 5.26 not including '.' in INC, which was breaking the
    Module::Install stuff (thanks to preaction)
    Fix to link to the github repo (thanks to dsteinbrunner)
* Mon Sep 24 2018 pmonrealgonzalez@suse.com
- Fix build
  * Added missing dependency to BuildRequires: inc::Module::Install
* Mon Apr 13 2015 coolo@suse.com
- updated to 1.01
  see /usr/share/doc/packages/perl-Test-utf8/CHANGES
  1.01
    Fix unnecesary warning caused by using /x (RT#88189)
    (Arthur Axel fREW Schmidt and Andrew Main)
    https://github.com/2shortplanks/Test-utf8/pull/2
  1.00 Refactor build system to use Module::Install
    Add test for pod, perl critic.  Make pass.
    Make the ok, fail, pass, diag functions private
    Improve documentation
* Wed Feb 16 2011 pascal.bleser@opensuse.org
- initial version (0.02)
